Subject: bug#65176: ~25 test failures from make check in the latest master.

From: Alan Mackenzie <[email-masked]>
Date: Wed, 9 Aug 2023 11:16:54 +0000

Hello, Emacs.

I've just updated my master repo.

The latest commit I downloaded was:

commit 08cc48e496ed98f16a014bf7ced69f527b72ab11 (HEAD -> master, origin/master, origin/HEAD)
Author: Eric S. Raymond <[email-masked]>
Date:   Wed Aug 9 06:05:24 2023 -0400

    Remove a DEFSYM that no longer needs to be in the C core.

On building it --with-native-compilation (no other notable arguments)
and running make check, I get lots of failures.  On running

    $ find . -name '*.log' | xargs grep -c FAILED | sed '/:0$/d'

from the test directory, I get this output:

../src/comp-tests.log:6
../lisp/emacs-lisp/rmc-tests.log:4
../lisp/emacs-lisp/edebug-tests.log:2
../lisp/emacs-lisp/macroexp-tests.log:2
../lisp/emacs-lisp/cl-macs-tests.log:2
../lisp/x-dnd-tests.log:4
../lisp/shadowfile-tests.log:6
../lisp/dnd-tests.log:2
../lisp/abbrev-tests.log:6
../lisp/minibuffer-tests.log:2
../lisp/erc/erc-tests.log:2
../lisp/subr-tests.log:2
../lisp/eshell/em-pred-tests.log:4
../lisp/dired-tests.log:6

..  For each failure, FAILED appears twice in the .log file.  That
indicates 25 failures in these files.

-- 
Alan Mackenzie (Nuremberg, Germany).